def fiboniaci(n):
    if n == 0:
        return 0
    if n == 1:
        return 1
    else:
        return fiboniaci(n - 1) + fiboniaci(n - 2)


# Hlavní část programu
def main():
    while True:
        user_input = input("Zadejte číslo (nebo 'konec' pro ukončení): ")

        if user_input.lower() == 'konec':
            print("Program ukončen.")
            break

        try:
            n = int(user_input)
            if n < 0:
                print("Zadejte nezáporné celé číslo.")
                continue

            result = fiboniaci(n)
            print(f"Fibonacciho číslo pro {n} je {result}")
        except ValueError:
            print("Chyba: Zadaná hodnota není platné celé číslo.")

main()

input("STOP")
