# Faiz Suleimanov

# Inicializace prázdného seznamu
seznam_jmen = []

# Funkce pro tisk nabídky
def tisk_nabidky():
    print("\nMožnosti:")
    print("1 - Přidat další jméno do seznamu")
    print("2 - Vypsat seznam")
    print("3 - Vymazat zvolené jméno ze seznamu")
    print("4 - Vypsat počet jmen v seznamu")
    print("5 - Vypsat seznam jmen seřazený podle abecedy")
    print("6 - Ukončit program")

# Funkce pro přidání jména do seznamu
def pridat_jmeno():
    while True:
        jmeno = input("Zadejte jméno účastníka (nebo napište 'konec' pro ukončení): ")
        if jmeno.lower() == 'konec':
            break
        seznam_jmen.append(jmeno)
        print(f"Jméno {jmeno} bylo přidáno do seznamu.")

# Funkce pro vypsání seznamu jmen
def vypsat_seznam():
    if seznam_jmen:
        print("\nSeznam účastníků:")
        for jmeno in seznam_jmen:
            print(jmeno)
    else:
        print("Seznam je prázdný.")

# Funkce pro vymazání zvoleného jména ze seznamu
def vymazat_jmeno():
    jmeno = input("Zadejte jméno, které chcete vymazat: ")
    if jmeno in seznam_jmen:
        seznam_jmen.remove(jmeno)
        print(f"Jméno {jmeno} bylo vymazáno ze seznamu.")
    else:
        print(f"Jméno {jmeno} nebylo nalezeno v seznamu.")

# Funkce pro vypsání počtu jmen v seznamu
def pocet_jmen():
    print(f"Počet jmen v seznamu: {len(seznam_jmen)}")

# Funkce pro vypsání seznamu jmen seřazeného podle abecedy
def serazeny_seznam():
    if seznam_jmen:
        print("\nSeznam jmen seřazený podle abecedy:")
        for jmeno in sorted(seznam_jmen):
            print(jmeno)
    else:
        print("Seznam je prázdný.")

# Hlavní program
def hlavni_menu():
    while True:
        tisk_nabidky()
        volba = input("Zadejte číslo volby: ")

        if volba == "1":
            pridat_jmeno()
        elif volba == "2":
            vypsat_seznam()
        elif volba == "3":
            vymazat_jmeno()
        elif volba == "4":
            pocet_jmen()
        elif volba == "5":
            serazeny_seznam()
        elif volba == "6":
            print("Program ukončen.")
            break
        else:
            print("Neplatná volba, zkuste to znovu.")

# Spuštění programu
hlavni_menu()
