"""
**************************************************
Projekt: Fibonacci - Zadání 3, Úloha 8
Autor: Josef Zetek
Datum: 1.10.2024
Popis: Program se zeptá na pořadí a vypíše fibonacciho posloupnost až do daného prvku
**************************************************
"""



from FibonacciSeznam import FibonacciSeznam

def uvodni_slovo():
    hodnota = """
    **************************************************
    Projekt: Fibonacci - Zadání 3, Úloha 8
    Autor: Josef Zetek
    Datum: 1.10.2024
    Popis: Program se zeptá na pořadí a vypíše fibonacciho posloupnost až do daného prvku.
    Ukončení programu: Při zadání slova EXIT se program ukončí
    **************************************************
    """

    print(hodnota + "\n")

def vstup_je_cislo(vstup: str):
    try:
        return (int)(vstup)
    except:
        return None

def cislo_je_prirozene(cislo: int):
    return cislo >= 0


vstup = ""
konec_cyklu = False
uvodni_slovo()

while not konec_cyklu:
    vstup = input("Zadejte číslo.\n")
    ciselny_vstup = vstup_je_cislo(vstup)

    if vstup.upper() == "EXIT":
        print("Konec programu...\n")
        konec_cyklu = True
        continue

    if ciselny_vstup == None:
        print("Vstup nebyl ciselny, zadejte prirozene cislo.\n")
        continue

    if not cislo_je_prirozene(ciselny_vstup):
        print("Ocekavanym vstupem jsou cela cisla vetsi rovno 0.\n")
        continue

    seznam = FibonacciSeznam.ziskat_fibonacci_seznam(ciselny_vstup)

    print("Fibonnaciho sekvence do {}. prvku je vypsana nize.\n".format(ciselny_vstup))
    if(len(seznam) == 0):
        print("Seznam je prázdný")

    for poradi, prvek_seznamu in enumerate(seznam):
        if poradi == (len(seznam)-1):
            print(prvek_seznamu, end="\n\n")
            
        else:
            print(prvek_seznamu, end=", ") 
