"""
    Program, ktery predela zadane cislo v rozsahu 0-99 do slovni interpretace
    Ukol cislo: 3 zadani: 9
    Autor: Milo?? Barborka
    Datum: 1.10.2024
"""


# Vypisuje hodnotu v rozsahu 0-99 slovn??
# Parametry: hodnota (int): Hodnota, kterou chceme vypsat slovn??.
# Vrac??: None
def vypis_hodnotu(hodnota):
    jednotky = ["nula", "jedna", "dva", "tri", "ctyri", "pet", "sest", "sedm", "osm", "devet"]
    desitky = ["", "", "dvacet", "tricet", "??tyricet", "padesat", "sedesat", "sedmdesat", "osmdesat", "devadesat"]
    doDvaceti = ["deset", "jedenact", "dvanact", "trinact", "ctrnact", "patnact", "sestnact", "sedmnact", "osmnact",
                 "devatenact"]
    # Zjist??, zda je hodnota mimo interval 0-99
    if hodnota < 0 or hodnota > 99:
        vypis_chybu()
    # Vyp????e hodnotu jednotek, des??tek nebo des??tek a jednotek
    elif hodnota < 10:
        print("Vami zadane cislo slovne: ", jednotky[hodnota])
    elif hodnota < 20:
        print(doDvaceti[hodnota - 10])
    else:
        desitka = hodnota // 10
        jednotka = hodnota % 10
        if jednotka == 0:
            print("Vami zadane cislo slovne: ", desitky[desitka])
        else:
            print("Vami zadane cislo slovne: ", desitky[desitka], jednotky[jednotka])


# Vyp????e chybovou hl????ku
# Parametry: None
# Vrac??: None
def vypis_chybu():
    print("Byla zadana hodnota mimo interval")


# Funkce pro vypis hlavicky programu
# Parametry: None
# Vraci: None
def vypis_hlavicky():
    print("-------------------------------------------------------------------")
    print("Tento program se vas bude ptat na cislo ktete chcete vypsat slovne,")
    print("cisla muzete zadavat pouze v rozsahu 0-99.")
    print("-------------------------------------------------------------------")


if __name__ == '__main__':
    vypis_hlavicky()
    hodnota = int(input("Zadejte pozadovane cislo, ktere chtet prepsat slovne: "))
    vypis_hodnotu(hodnota)
    while input("Chcete zadat dalsi cislo? (ano/ne): ").lower() == "ano":
        hodnota = int(input("Zadejte pozadovane cislo, ktere chtet prepsat slovne: "))
        vypis_hodnotu(hodnota)
    print("Dekuji za pouziti programu.")
