"""
Author: Miroslav Bártík
Name of the program: generator_cisel_bartik.py
date: 1.10.2024
"""
import random # Importing the random module


def smaller_interval():
    random_num = random.randint(0, 100)  # Generate a random number between 0 and 100
    if random_num <= 50:
        print("malé číslo - " + str(random_num))  # Print if number is small (<= 50)
    else:
        print("velké číslo - " + str(random_num))  # Print if number is large (> 50)


def bigger_interval():
    random_num = random.randint(0, 500) # Generate a random number between 0 and 500
    if random_num <= 150:
        print("malé číslo - " + str(random_num))  # Print if number is small (<= 150)
    elif random_num <= 350:
        print("průměrné číslo - " + str(random_num)) # Print if number is average between 151 and 350
    else:
        print("velké číslo - " + str(random_num))  # Print if number is large (> 50)

def instructions():
    # Prompt user to generate another number or exit
    print("Pro vygenerování čísla z intervalu <0, 100> napište - a")
    print("Pro vygenerování čísla z intervalu <0, 500> napište - b")
    print("Pro ukončení programu stiskněte libovolnou klávesu")

# Program description and user prompt for generating random numbers
print("----------------------------------------------------------------------------------------")
print("Tento program generuje pseudonáhodná čísla z intervalu <0, 100> a vygenerované hodnoty bude testovat, zda je hodnota")
print("menší nebo rovna 50 – pak vypíše /malé číslo/ – nebo větší než 50 a pak vypíše /velké číslo/")
print()
print("Dále tento program generuje pseudonáhodná čísla z intervalu <0, 500> a vygenerované hodnoty pak bude testovat")
print("zda hodnota padne do intervalu <0, 150> – pak vypíše text /malé číslo/, pokud hodnota čísla padne do intervalu <151, 350>, pak vypíše /průměrné číslo/ a pro")
print("hodnoty větší než 350 vypíše text /velké číslo/")
print("----------------------------------------------------------------------------------------\n")

# Initial prompt to generate a random number
instructions()
usr_input = input()

# Main loop to generate random numbers until the user exits
while usr_input == "a" or usr_input == "b":
    if usr_input == "a":
        smaller_interval()
    elif usr_input == "b":
        bigger_interval()
    instructions()

    usr_input = input()









