"""
Zad??n?? 3, ??kol 2 - v??po??et obsah??
V??clav Haj??man
1.10.2024
"""


import math


def is_valid(num):
    return (num.isdigit() and int(num) > 0) or (is_float(num) and float(num) > 0)


def is_float(string):
    try:
        float(string)
        return True
    except ValueError:
        return False


def rect():
    value = input("Zadejte delku strany: ")
    if is_valid(value):
        if value.isdigit():
            result = int(value) * int(value)
        else:
            result = float(value) * float(value)
        print("Obsah ctverce o strane " + value + " je " + str(result))


def circle():
    value = input("Zadejte polomer kruhu: ")
    if is_valid(value):
        if value.isdigit():
            result = math.pi * int(value) ** 2
        else:
            result = math.pi * float(value) ** 2
        print("Obsah kruhu o polomeru " + value + " je " + str(result))


def triangle():
    vyska = input("Zadejte delku vysky: ")
    zakladna = input("Zadejte delku zakladny: ")
    if is_valid(vyska) and is_valid(zakladna):
        if zakladna.isdigit() and vyska.isdigit():
            result = 0.5 * int(vyska) * int(zakladna)
        else:
            result = 0.5 * float(vyska) * float(zakladna)
        print("Obsah je trojuhelniku o zakladne " + zakladna + " a vysce " + vyska + " je " + str(result))


def main(prog):
    if prog.isdigit():
        if int(prog) == 1:
            rect()
        elif int(prog) == 2:
            triangle()
        elif int(prog) == 3:
            circle()


if __name__ == '__main__':
    print("Vypocet obsahu")
    print("Ctverec - 1")
    print("Trojuhelnik - 2")
    print("Kruh - 3")
    programme = input("Zadejte cislo programu(1, 2 nebo 3): ")
    main(programme)

input("stop")
