# vypis2.py

# Funkce pro výpis násobků N
def vypis_nasobilku(N):
    if 1 <= N <= 99:
        print(f"Tabulka násobků pro N = {N}:\n")
        for i in range(1, 100):
            print(f"{N} x {i} = {N * i}")
    else:
        print("Chyba: Zadané číslo není v intervalu <1, 99>.")


# Hlavní část programu
def main():
    while True:
        user_input = input("Zadejte číslo N z intervalu <1, 99> (nebo 'konec' pro ukončení): ")

        if user_input.lower() == 'konec':
            print("Program ukončen.")
            break

        try:
            N = int(user_input)
            vypis_nasobilku(N)
        except ValueError:
            print("Chyba: Zadaná hodnota není platné celé číslo.")


# Spuštění programu
if __name__ == "__main__":
    main()
